Bug 39087 - Show a console message when X-Frame-Options blocks a load
Summary: Show a console message when X-Frame-Options blocks a load
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-13 13:48 PDT by Adam Barth
Modified: 2011-04-15 18:22 PDT (History)
6 users (show)

See Also:


Attachments
Work in progress (no tests) (764 bytes, patch)
2010-05-13 13:50 PDT, Adam Barth
no flags Details | Formatted Diff | Diff
Patch (7.38 KB, patch)
2010-05-13 23:56 PDT, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2010-05-13 13:48:49 PDT
Show a console message when X-Frame-Options blocks a load
Comment 1 Adam Barth 2010-05-13 13:50:20 PDT
Created attachment 56018 [details]
Work in progress (no tests)
Comment 2 Adam Barth 2010-05-13 23:56:23 PDT
Created attachment 56057 [details]
Patch
Comment 3 Darin Adler 2010-05-14 09:23:55 PDT
Comment on attachment 56057 [details]
Patch

> +            DEFINE_STATIC_LOCAL(String, consoleMessage, ("Refused to display document because display forbidden by X-Frame-Options.\n"));

Is it good for console messages passed to addMessage to have a trailing newline. That doesn't seem right to me.

The grammar here seems slightly strained. Does the word "display" need to be repeated twice?
Comment 4 Adam Barth 2010-05-14 10:30:14 PDT
Looks like we're inconsistent about the trailing newline.  I'll write a cleanup patch to normalize them all.  Suggestions on a better wording for the message?
Comment 5 WebKit Commit Bot 2010-05-15 02:10:53 PDT
Comment on attachment 56057 [details]
Patch

Clearing flags on attachment: 56057

Committed r59528: <http://trac.webkit.org/changeset/59528>
Comment 6 WebKit Commit Bot 2010-05-15 02:10:59 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 WebKit Review Bot 2011-04-15 18:22:41 PDT
http://trac.webkit.org/changeset/84060 might have broken Leopard Intel Release (Build) and WinCairo Debug (Build)